# Issue quote for invoice

`POST https://api.strike.me/v1/invoices/{invoiceId}/quote`

Source: https://docs.strike.me/api/issue-quote-for-invoice/

---

Required scopes:

- partner.invoice.quote.generate

## Path parameters

- `invoiceId` (uuid, required): Id of invoice for which the quote is requested.

## Request body

`application/json`

- `descriptionHash` (string): Lightning invoice description hash hex string. If provided, the invoice description will be ignored in favor of this hash.

Example:

```json
{
  "descriptionHash": "3925b6f67e2c340036ed12093dd44e0368df1b6ea26c53dbe4811f58fd5db8c1"
}
```

## Responses

### 201 Created

`application/json`

- `quoteId` (uuid, required)
- `description` (string): Quote description.
- `lnInvoice` (string, required): BOLT 11 encoded lightning invoice.
- `onchainAddress` (string): On-chain address that can be used to pay the invoice. Will be present only if you are eligible for on-chain payments.
- `expiration` (date-time, required): Time at which quote is expiring.
- `expirationInSec` (int64, required): Time period in seconds for which quote is valid.
- `targetAmount` (object, required): Quote amount in currency that will be credited. This currency cannot be BTC.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `sourceAmount` (object, required): Quote amount in currency that will be debited. At quote creation time this will always be BTC, but that can change to other currencies later in case the transaction is upgraded to direct transfer (happens if the payer is also Strike user).
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `conversionRate` (object, required): Applied source -> target currency conversion rate.
  - `amount` (string, required): Currency amount in decimal format.
  - `sourceCurrency` (string, required): Source currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `targetCurrency` (string, required): Target currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
